Skip to main content
GET
/
dnszone
List DNS Zones
curl --request GET \
  --url https://api.bunny.net/dnszone \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/dnszone"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/dnszone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Items": [
    {
      "Id": 123,
      "Domain": "<string>",
      "Records": [
        {
          "Id": 123,
          "Ttl": 123,
          "Value": "<string>",
          "Name": "<string>",
          "Weight": 123,
          "Priority": 123,
          "Port": 123,
          "Flags": 123,
          "Tag": "<string>",
          "Accelerated": true,
          "AcceleratedPullZoneId": 123,
          "LinkName": "<string>",
          "IPGeoLocationInfo": {
            "CountryCode": "<string>",
            "Country": "<string>",
            "ASN": 123,
            "OrganizationName": "<string>",
            "City": "<string>"
          },
          "GeolocationInfo": {
            "Country": "<string>",
            "City": "<string>",
            "Latitude": 123,
            "Longitude": 123
          },
          "GeolocationLatitude": 123,
          "GeolocationLongitude": 123,
          "EnviromentalVariables": [
            {
              "Name": "<string>",
              "Value": "<string>"
            }
          ],
          "LatencyZone": "<string>",
          "Disabled": true,
          "Comment": "<string>",
          "AutoSslIssuance": true
        }
      ],
      "DateModified": "2023-11-07T05:31:56Z",
      "DateCreated": "2023-11-07T05:31:56Z",
      "NameserversDetected": true,
      "CustomNameserversEnabled": true,
      "Nameserver1": "<string>",
      "Nameserver2": "<string>",
      "SoaEmail": "<string>",
      "NameserversNextCheck": "2023-11-07T05:31:56Z",
      "LoggingEnabled": true,
      "LoggingIPAnonymizationEnabled": true,
      "DnsSecEnabled": true
    }
  ],
  "CurrentPage": 123,
  "TotalItems": 123,
  "HasMoreItems": true
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Query Parameters

page
integer<int32>
default:1
Required range: 1 <= x <= 2147483647
perPage
integer<int32>
default:1000
Required range: 5 <= x <= 1000
search
string | null

The search term that will be used to filter the results

view
enum<integer>
default:0

0 = Full 1 = Lite

Available options:
0,
1

Response

The list of DNS Zones on the account.

Items
object[] | null
CurrentPage
integer<int32>
TotalItems
integer<int32>
HasMoreItems
boolean
Last modified on July 11, 2026